Subject: Procedure Library v1.0
From: "Andrew Church" <[email-masked]>
To: "amos-list" <[email-masked]>
Date: 1 Oct 93 12:06:00 EST

I am in the process of uploading the initial release of the AMOS Procedure
Library to AmiNet.  I've run into some problems, but I expect the library to
be available in 2-3 days.  The file is:

/pub/aminet/dev/amos/ProcLib.lha

  Below is the list of procedures in the library.

  --Andy Church
----------------------------
_DOSERROR[ERR]
  Returns the AmigaDOS error message for the given error code.
_FAST_ELLIPSE[XC,YC,RX,RY,_FILLED]
  Draws an ellipse using integer math.
_FAST_LINE[X1,Y1,X2,Y2]
  Draws a line using integer math.
_MAKEMASK[_SCREEN,_COLOUR,TEMP1,TEMP2,X1,Y1,X2,Y2,_ICON]
  Makes a mask for an icon with a given transparent colour.
OPENFONT[NAME$,SIZE,_REM]
  Opens or closes a font.
_PALETTE_TO_ANTIQUE[_SCREEN]
  Converts palette to "antique photograph" colours.
_PALETTE_TO_BW[_SCREEN]
  Converts palette to black and white.
_PALETTE_TO_NEGATIVE[_SCREEN]
  Converts palette to negative colours.
_SEPARATE_RGB[_SCREEN,X]
  Filters colours in picture.
_SHADOW_TXT[X,Y,_FG,_BG,_TXT$]
  Writes shadowed text to the screen.
_TO_NTSC
  Switches display to NTSC mode.
_TO_PAL
  Switches display to PAL mode.